Voglio caricare compat wireless con i seguenti comandi

cd ~
wget http://www.kernel.org/pub/linux/kernel/projects/backports/stable/v3.9-rc4/compat-drivers-3.9-rc4-2-su.tar.bz2
tar -xvf compat-drivers-3.9-rc4-2-su.tar.bz2
cd compat-drivers-3.9-rc4-2-su
wget -Ocompatdrivers_chan_qos_frag.patch http://pastie.org/pastes/7977109/download
patch -p1 < compatdrivers_chan_qos_frag.patch
make
make install

dopo aver fatto make però

./scripts/gen-compat-autoconf.sh /home/luigi/compat-drivers-3.9-rc4-2-su/.config /home/luigi/compat-drivers-3.9-rc4-2-su/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/3.13.0-32-generic/build M=/home/luigi/compat-drivers-3.9-rc4-2-su modules
make[1]: ingresso nella directory "/usr/src/linux-headers-3.13.0-32-generic"
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/compat/main.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/compat/compat_atomic.o
  LD [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/compat/compat.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/main.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/scan.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/core.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/sprom.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/driver_chipcommon.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/driver_chipcommon_pmu.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/driver_pci.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/driver_gmac_cmn.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/driver_gpio.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/host_pci.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/host_soc.o
  LD [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bcma/bcma.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_vhci.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btmrvl_main.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btmrvl_debugfs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_ldisc.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_h4.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_bcsp.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_ll.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_ath.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_h5.o
  LD [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/hci_uart.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/bcm203x.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/bpa10x.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/bfusb.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/dtl1_cs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/bt3c_cs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/bluecard_cs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btuart_cs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btusb.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btsdio.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/ath3k.o
  LD [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btmrvl.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btmrvl_sdio.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/bluetooth/btwilink.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_auth.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_buffer.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_bufs.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_cache.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_context.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_dma.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_drv.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_fops.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_gem.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_ioctl.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_irq.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_lock.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_memory.o
  CC [M]  /home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.o
/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.c: In function ‘drm_proc_open’:
/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.c:66:9: error: implicit declaration of function ‘PDE’ [-Werror=implicit-function-declaration]
/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.c:66:41: error: invalid type argument of ‘->’ (have ‘int’)
/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.c: In function ‘drm_proc_create_files’:
/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.c:119:4: error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[3]: *** [/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm/drm_proc.o] Errore 1
make[2]: *** [/home/luigi/compat-drivers-3.9-rc4-2-su/drivers/gpu/drm] Errore 2
make[1]: *** [_module_/home/luigi/compat-drivers-3.9-rc4-2-su] Errore 2
make[1]: uscita dalla directory "/usr/src/linux-headers-3.13.0-32-generic"
make: *** [modules] Errore 2

Aiutatemi devo installare per forza questi vi prego! Grazie in anticipo!

chiesto 20 Dic '14, 19:24

Luigino93's gravatar image

Luigino93
1011

modificato 20 Dic '14, 20:11

enzotib's gravatar image

enzotib ♦♦
14.0k112186

@Luigino93: piuttosto che aiutarti su un tentativo di soluzione di un problema, non si capisce soluzione suggerita da chi o da cosa, sarebbe meglio che esponessi il problema dall'inizio, magari la soluzione è più semplice.
E per cortesia, usa un titolo sintetico e significativo, senza metterci dentro cose come "Vi supplico", e cerca di usare correttamente la formattazione per il codice, altrimenti non si capisce niente.

(20 Dic '14, 20:14) enzotib ♦♦ enzotib's gravatar image

meglio di così non so spiegarmi spero tu possa aiutarmi! Allora chiedo scusa per il titlo innanzitutto ma non sono molto esperto! Il mio problema sta nell'installare i driver compat wireless 3.9 rc4 poichè quando vado a dare il comando "make" nel terminal di ubuntu 12.04.5 mi da quell'errore, da cosa dipende?

(20 Dic '14, 20:41) Luigino93 Luigino93's gravatar image
1

@Luigino93: non hai capito, cercherò di essere più chiaro: è stato il medico a ordinarti di installare questo coso?

(20 Dic '14, 21:06) enzotib ♦♦ enzotib's gravatar image

@Luigino93: se vuoi darci un'occhiata ho trovato questa guida, ma penso che @enzotib abbia ragione. Infatti anche quella guida è vecchiotta ed il fatto che non sia stata aggiornata, è perché probabilmente c'è di meglio.

(21 Dic '14, 11:43) enzoge enzoge's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×378
×185

domanda posta: 20 Dic '14, 19:24

domanda visualizzata: 544 volte

ultimo aggiornamento: 21 Dic '14, 11:47

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.